PC SOFT

FORUMS PROFESSIONNELS
WINDEVWEBDEV et WINDEV Mobile

Accueil → WEBDEV (précédentes versions) → [WB21][Apache et AWP]
[WB21][Apache et AWP]
Débuté par Jean-Gabriel REY, 04 juin 2018 08:09 - Aucune réponse
Membre enregistré
217 messages
Popularité : +3 (3 votes)
Posté le 04 juin 2018 - 08:09
Bonjour à tous,

Je cherche à faire monter un serveur apache de la version 2.2 à la version 2.4.

Aucun problème avec les site dynamiques : il n'y a rien à faire pour eux. On intègre leurs configs dans le httpd.conf, on arrête apache 2.2, on lance apache 2.4, et ça tourne direct.

Mais ce n'est pas le cas pour les sites AWP. Là, rien ne passe. Erreur de permission sur /. J'ai bien lancé l'administrateur webdev pour le paramétrer dans cet environnement (onglet "avancé"), mais ça ne donne rien : il me propose bien le serveur apache 2.4 en plus du 2.2, mais l'option reste grisée. Impossible de sortir de la version 2.2, du coup.

Je peux toujours tenter de réinstaller le serveur Webdev après la validation complète d'apache, mais il s'agit d'un serveur de prod et je crains que plus rien ne fonctionne ensuite. Alors je ne voudrais pas m'aventurer à l'aveuglette...

J'ai aussi pensé à tricher en installant le serveur 2.4 dans le dossier 2.2 actuel, mais comme la syntaxe httpd.conf a évolué je crains que ça ne pose d'autres problèmes.

Enfin voilà, si quelqu'un a une idée à me proposer ?...
Message modifié, 04 juin 2018 - 08:10